Retrieve an employee
Retrieve a single employee.
Access
Access
EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employees whose applicable business-establishments are accessible to you.
Authorizations
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Headers
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Path Parameters
Identifier of the employee to retrieve.
1Query Parameters
Include metadata:
embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request). May benullwhen you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.
Read more about expanding responses.
embedded, links, totalCount Response
OK
An employee resource.
1"employee"Must be unique.
1 - 100Reference to the employee's portrait, which is a file (picture) representing them.
Name given at birth. In the U.S.A., the first name of a person. In French: "prénom". Leading and trailing spaces are automatically removed.
1 - 255Name inherited from the person's family. In the U.S.A., the last name of a person. In French: "nom (de famille)". Leading and trailing spaces are automatically removed.
1 - 2551 - 50Read-only. The employee status is calculated from the employee's employments.
- active: employee has an employment as of today.
- upcoming: employee currently has no employment but will have one in the future.
- deactivated: employee used to have an employment but no longer does.
active, upcoming, deactivated "active"
Professional email of this employee. "<" and ">" characters are forbidden. Some domains are blacklisted and may thus result in 400 errors.
3 - 255Year-less date of birth.
Read-only, as it is infered from the employee-personal-record birthDate.
Take note that month starts at "1" and not zero, i.e. "1" is for January, "2" for February, etc...
Professional phone number of this employee.
^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$"+3356565656"
Read-only. Reference to the applicable employment of this employee. If the employee status is "deactivated", then references their last employment. If the employee status is "upcoming", then references their closest next employment.
Read-only. Reference to the active job-position of this employee. Matches the same logic as the "applicableEmployment".
Read-only. UTC timestamp of the moment this object was created.
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.
"2023-01-23T12:45:23.1234Z"
Embeds the representation of resources related to the employee(s).
Only returned if requested by the API client: ?include=embedded.